# Uses of Interface
org.eclipse.core.resources.IProjectNatureDescriptor

Packages that use IProjectNatureDescriptor
Package
Description
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.

## Uses of IProjectNatureDescriptor in org.eclipse.core.resources

Methods in org.eclipse.core.resources that return IProjectNatureDescriptor
Modifier and Type
Method
Description
`IProjectNatureDescriptor`
IWorkspace.`getNatureDescriptor(String natureId)`
Returns the nature descriptor with the given unique identifier, or `null` if there is no such nature.
`IProjectNatureDescriptor[]`
IWorkspace.`getNatureDescriptors()`
Returns all nature descriptors known to this workspace.